## com.google.gwt.user.client.ui
Class ChangeListenerCollection

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<ChangeListener>
                  com.google.gwt.user.client.ui.ChangeListenerCollection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<ChangeListener>, java.util.Collection<ChangeListener>, java.util.List<ChangeListener>, java.util.RandomAccess

Direct Known Subclasses:
  DelegatingChangeListenerCollection

    public class ChangeListenerCollection

extends java.util.ArrayList<ChangeListener>

A helper class for implementers of the SourcesChangeEvents interface. This subclass of `ArrayList` assumes that all objects added to it will be of type `ChangeListener`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ChangeListenerCollection()`

Method Summary
`void` `fireChange(Widget sender)` Fires a change event to all listeners.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### ChangeListenerCollection

    public ChangeListenerCollection()

Method Detail

### fireChange

    public void fireChange(Widget sender)

  Fires a change event to all listeners.

  Parameters:
    `sender` - the widget sending the event.